<template>
    <div class="weather">
        <div class="d-flex align-items-center">
            <img :src="getOpenWeatherImg(weather.weather[0].icon)"
                 class="weather__icon"/>
            <div class="weather__temp">
                <div class="mr-2">{{ weather.main.temp }}</div>
                <temp-format :format="weather.format" />
            </div>
        </div>
        <table class="table table-striped table-bordered">
            <tbody>
                <tr>
                    <td>Humidity</td>
                    <td>
                        {{ weather.main.humidity }} %
                    </td>
                </tr>
                <tr>
                    <td>Pressure</td>
                    <td>
                        {{ weather.main.pressure }} hpa
                    </td>
                </tr>
                <tr>
                    <td>Temp-max</td>
                    <td>
                        {{ weather.main.temp_max }}
                        <temp-format :format="weather.format" />
                    </td>
                </tr>
                <tr>
                    <td>Temp-min</td>
                    <td>
                        {{ weather.main.temp_min }}
                        <temp-format :format="weather.format" />
                    </td>
                </tr>
            </tbody>
        </table>
        <div>{{ weather.dt*1000 | msToTime  }}</div>
        <div v-if="weather.showDate">{{ toDate(weather.dt*1000) }}</div>
    </div>
</template>

<script>
    import moment from 'moment'
    import TempFormat from '../helpers/TempFormat'
    import msToTime from '../../filters/toTime'

    export default {
        name: "Weather",
        components: {
            TempFormat
        },
        filters: {
            msToTime
        },
        props: {
            weather: {
                type: Object
            },
            index: {
                type: Number
            }
        },
        methods: {
            getOpenWeatherImg(code) {
                return `http://openweathermap.org/img/wn/${code}@2x.png`
            },
            toDate(ms) {
                return moment(ms).format('Do');
            }
        }
    }
</script>

<style scoped lang="scss">
    .table {
        color: white;

        &-bordered {

            td {
                border-color: #929292;
            }
        }
    }

    .weather {

        &__temp {
            display: flex;
            align-items: center;
            font-size: 36px;
        }
    }
</style>